%global _empty_manifest_terminate_build 0
%global common_desc \
	HPE 3PAR REST Client This is a Client library that can talk to the HPE 3PAR \
	Storage array. The 3PAR storage array has a REST web service interface and a \
	command line interface. This client library implements a simple interface for \
	talking with either interface, as needed. The python Requests library is used to \
	communicate with the REST interface.
Name:           python-3parclient
Version:        4.2.11
Release:        1
Summary:        HPE 3PAR HTTP REST Client
License:        Apache-2.0
URL:            http://packages.python.org/python-3parclient
Source0:        https://files.pythonhosted.org/packages/df/ad/4f64d44f1fb348d9feff127f135298065a950c833360b22c2a14f86e8839/python-3parclient-4.2.11.tar.gz
BuildArch:      noarch
%description
%{common_desc}

%package -n python3-3parclient
Summary:        HPE 3PAR HTTP REST Client
Provides:       python-3parclient
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-eventlet
BuildRequires:  python3-paramiko
BuildRequires:  python3-requests
# General requires
Requires:       python3-eventlet
Requires:       python3-paramiko
Requires:       python3-requests
%description -n python3-3parclient
%{common_desc}

%package help
Summary:        HPE 3PAR HTTP REST Client
Provides:       python3-3parclient-doc
%description help
%{common_desc}

%prep
%autosetup -n python-3parclient-4.2.11

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
#%{__python3} setup.py test

%files -n python3-3parclient -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jul 20 2021 OpenStack_SIG <openstack@openeuler.org> - 4.2.11-1
- Package Spec generate
